# Uses of Class
org.springframework.asm.ClassWriter

Packages that use ClassWriter
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).

## Uses of ClassWriter in org.springframework.asm

Methods in org.springframework.asm with parameters of type ClassWriter
Modifier and Type
Method
Description
`static byte[]`
Attribute.`write(Attribute attribute, ClassWriter classWriter, byte[] code, int codeLength, int maxStack, int maxLocals)`
Returns the byte array form of the content of the given attribute.
`protected ByteVector`
Attribute.`write(ClassWriter classWriter, byte[] code, int codeLength, int maxStack, int maxLocals)`
Returns the byte array form of the content of this attribute.

## Uses of ClassWriter in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return ClassWriter
Modifier and Type
Method
Description
`protected final ClassWriter`
DefaultGeneratorStrategy.`getClassWriter()`